Bug 135378 - CAN-2004-0888 xpdf issues affect cups
CAN-2004-0888 xpdf issues affect cups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 07:50 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 10:26:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xpdf 2 patch (will require changes to apply against Cups) (2.59 KB, patch)
2004-10-12 07:50 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-10-12 07:50:07 EDT
CUPS contains a stripped down version of xpdf.  Recent issues have
been found in xpdf 2 that can result in integer overflows causing bad
memory allocation or out of bounds writes.  It's not expected these
can cause arbitrary code execution, more likely to be DoS crashers.

Embargoed until October 20th 1400UTC

Patch to follow
CVE names to follow
Comment 1 Mark J. Cox (Product Security) 2004-10-12 07:50:52 EDT
Created attachment 105056 [details]
xpdf 2 patch (will require changes to apply against Cups)
Comment 3 Mark J. Cox (Product Security) 2004-10-12 08:25:50 EDT
CAN-2004-0888.  Actually my comment about arbitrary code execution is
inaccurate since the flaws could allow you to write an arbitrary byte
at an (almost) arbitrary location.  This could possibly lead to
privilege escalation (although it would be hard to do, especially with
Exec-shield).
Comment 4 Josh Bressers 2004-10-22 11:02:55 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-543.html
Comment 5 Tim Waugh 2005-02-04 08:06:37 EST
Reopening for extra explicit cast: see bug #135393.
Comment 9 Josh Bressers 2005-02-18 10:26:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-132.html

Note You need to log in before you can comment on or make changes to this bug.